Hi Daiki,

> I am wondering, if this change deserves a new release, given that it
> affects thread safety of dependent libraries (libidn2 and gnutls)?  If
> no objection, I will create the 0.9.9 release next week.

And other dependent packages are gettext and guile:

$ apt-cache rdepends libunistring0
libunistring0
Reverse Depends:
  libunistring-dev
  gss-ntlmssp
  libtracker-sparql-1.0-0
  wcd
  termdebug
  librygel-db-2.6-2
  kamailio-websocket-modules
  gss-ntlmssp
  gnunet
  freeipa-server
  forked-daapd
  gettext
  libtracker-sparql-1.0-0
  libgettextpo0
  guile-2.0-libs

Thread-safety bugs can sometimes really produce crashes, or even security
bugs. There is the general expectation that such bugs be fixed rapidly.
Therefore a new release is very welcome!

I having no pending changes for libunistring in the queue.

Bruno


Reply via email to